Subject: Re: 43p-140 install issues

From: Sven Luther <[email-masked]>
Date: Wed, 5 Jan 2005 17:08:16 +0100

On Wed, Jan 05, 2005 at 09:45:13AM -0600, Hollis Blanchard wrote:
> On Jan 5, 2005, at 5:47 AM, Sven Luther wrote:
> 
> >On Wed, Jan 05, 2005 at 10:49:19AM +0100, Philippe Guyot wrote:
> >>>BTW, i have another question. I am trying to fix debian-installer to 
> >>>create
> >>>the prep partition, but i would like to have some info on the 
> >>>expected
> >>>constraints of said partition. Some tell it has to be entirely in 
> >>>the first
> >>>8MB, others the first 5MB, and my powerstack has a 17MB boot 
> >>>partition
> >>>right now.
> >>
> >>All I can say, it's that my boot PReP partition is the 1st and about 
> >>4 MB in
> >>size (cannot size it less than 1% of the disk.....)
> >>second partition is /
> >>third is swap.
> >
> >BTW, for debian, it makes more sense to have the second partition as 
> >swap, and
> >the third as /, i think, since it was decided some time back to 
> >default to
> >root=/dev/sda3, and not sda2.
> >
> >>That works for me.
> >
> >Until the kernel grows beyond 4MB.
> 
> The size of that partition depends on firmware limitations. I have 
> definitely seen reports of systems not booting when the PReP boot 
> partition was too large. I think on some systems that has even happened 
> at 8MB.

Is the problem really the size of the partition, or the space used by the
kernel. I mean we could make a 100MB partition at start, and since we just dd
the kernel to it, the kernel would be found at the start of the partition, and
the firmware probably doesn't care about the real size of the partition, as
long as it can access all the kernel data we dded to it, no ? 

Do we have some documentation of the firmware limitations ? 

> In other words, should you need more space than 4-5MB at some point in 
> the future, you cannot simply make a bigger boot partition.

8MB would be good, 4-5MB only would probably be a bit just.

Friendly,

Sven Luther